@echo off
call set-release-archive-version.cmd

echo Creating tomo release archives, version %version%
echo.

cd ..
md dist 2>nul

echo ^<?php $tomoVersion = '%version%'; ?^>>version.inc.php

echo Release package
set aname=tomo-%version%
set files=doc img queries .htaccess config.inc.php.dist css.php index.php publicsuffixdata.inc.php tomo.db.dist tomo.js version.inc.php
7za a -t7z -mx=9 dist\%aname%.7z %files%
7za a -tzip dist\%aname%.zip %files%

echo Source code package
set aname=tomo-%version%-src
set files=src tools
7za a -t7z -mx=9 dist\%aname%.7z %files%
7za a -tzip dist\%aname%.zip %files%

echo Finished!
echo.
pause
